adequate_0.15.1_all.deb


Advertisement

Description

adequate - Debian package quality testing tool

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name adequate
Package version 0.15.1
Package architecture all
Package type deb
Installed size 79 B
Download size 24.64 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
adequate_0.15.1_all.deb 0.15.1 all Debian Main
adequate - - -

Requires

Name Value
debconf -
perl >= 5.14

Download

Type URL
Binary Package adequate_0.15.1_all.deb
Source Package adequate

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install adequate deb package:
    # sudo apt-get install adequate

Files

Path
/etc/apt/apt.conf.d/20adequate
/usr/bin/adequate
/usr/share/debconf/templates/adequate.templates
/usr/share/doc/adequate/NEWS.Debian.gz
/usr/share/doc/adequate/buildinfo_all.gz
/usr/share/doc/adequate/changelog.gz
/usr/share/doc/adequate/copyright
/usr/share/man/man1/adequate.1.gz

Changelog

2016-01-12 - Jakub Wilk <jwilk@debian.org>
adequate (0.15.1) unstable; urgency=low
* Fix false positive program-name-collision in less.
* Use date of last modification in the manual page footer.
This should help to make the package builds reproducible.
* Fix typo in a tag description.
* Add license information for libpoppler.so.57.
2015-08-26 - Jakub Wilk <jwilk@debian.org>
adequate (0.15) unstable; urgency=low
* Add license information for the Ghostscript library (closes: #795566).
Thanks to Didier Raboud for the bug report.
* Add license information for the jbig2dec library.
* Recognize AGPL-3 in machine-readable copyright files.
* Add license information for libpoppler.so.46 and libpoppler.so.47.
2015-07-15 - Jakub Wilk <jwilk@debian.org>
adequate (0.14) unstable; urgency=low
* Summary of tag changes:
+ Added:
- ldd-failure
* Run ldd on each file separately.
* Don't abort when “ldd -r” fails, but emit ldd-failure instead
(closes: #762615).
2015-05-31 - Jakub Wilk <jwilk@debian.org>
adequate (0.13.3) unstable; urgency=low
* Require pkg-config 0.27 or later in the test suite. In older versions,
--exists didn't check dependencies.
* Add pkg-config to Recommends (closes: #787169).
Thanks to Micah Gersten for the bug report.
* Exclude VCS-specific files from the source package in
debian/source/options.
2015-05-28 - Jakub Wilk <jwilk@debian.org>
adequate (0.13.2) unstable; urgency=low
* Drop “XS-Testsuite: autopkgtest”.
* Add pkg-config to the DEP-8 test Depends (closes: #787043).
Thanks to Micah Gersten for the bug report.
2015-05-10 - Jakub Wilk <jwilk@debian.org>
adequate (0.13.1) unstable; urgency=low
* Update the package description.
* Don't emit program-name-collision when one programs symlinks to the
other.
* Bump standards version to 3.9.6 (no changes needed).
2015-04-27 - Jakub Wilk <jwilk@debian.org>
adequate (0.13) unstable; urgency=low
* Summary of tag changes:
+ Added:
- missing-pkgconfig-dependency
* Check for missing pkg-config dependencies (closes: #781037).
Thanks to Niels Thykier for the bug report.
* Fix false positive program-name-collision in debianutils
(closes: #784068).
* Improve error handling.
2014-08-16 - Jakub Wilk <jwilk@debian.org>
adequate (0.12.1) unstable; urgency=medium
* Fix “keys/push on reference is experimental” warnings (closes: #758306).
Thanks to Axel Beckert for the bug report.
2014-07-07 - Jakub Wilk <jwilk@debian.org>
adequate (0.12) unstable; urgency=low
* Exclude /usr/lib/pythonX.Y/lib2to3/tests/data/ and
/usr/lib/pythonX.Y/test/bad* from byte-compilation checks.
* Check for collisions between executables and bash builtin commands.
* Use HTTPS URLs when they are available, in documentation and code.
* Simplify error handling.
* Test suite: fix compatibility with dpkg (>= 1.17.7).
2014-04-20 - Jakub Wilk <jwilk@debian.org>
adequate (0.11.6) unstable; urgency=medium
* Fix a typo in the --help message.
* Improve the test suite:
+ Don't use APT for package installation, but manually call dpkg. This
greatly reduces memory usage and improves speed.
+ If a package installation failed, don't try to upgrade newer versions of
the same package.
+ Improve error handling.
* Fix license information for libgmp.

See Also

Package Description
adjtimex_1.29-10_amd64.deb kernel time variables configuration utility
adlint_3.2.14-4_all.deb open source and free source code static analyzer
admesh_0.98.3-3_amd64.deb Tool for processing triangulated solid meshes. Binary
adminer_4.6.3-1_all.deb Web-based database administration tool
adns-tools_1.5.0~rc1-1.1_amd64.deb Asynchronous-capable DNS client utilities
adonthell-data_0.3.7-1_all.deb Data files needed by Adonthell
adonthell_0.3.7-1_amd64.deb 2D graphical roleplaying game
adplay_1.7-4_amd64.deb console-based OPL2 audio player
adplug-utils_2.2.1+dfsg3-0.4_amd64.deb free AdLib sound library (utils)
adql-java-doc_1.4-1_all.deb Parse, manipulate and translate ADQL queries (API doc)
adql-java_1.4-1_all.deb Parse, manipulate and translate ADQL queries with Java
adun-core_0.81-11+b1_amd64.deb Molecular Simulator
adun.app_0.81-11+b1_amd64.deb Molecular Simulator for GNUstep (GUI)
adv-17v35x-dkms_5.0.3.0-2_all.deb dkms driver sources for Advantech PCI/PCIe ACOM Series adapters
advancecomp_2.1-1_amd64.deb collection of recompression utilities
Advertisement
Advertisement